Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 3704

Summary: top not working correctly any more
Product: [Retired] Red Hat Linux Reporter: michael.waite
Component: procpsAssignee: Michael K. Johnson <johnsonm>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-08-02 14:58:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description michael.waite 1999-06-24 14:00:24 UTC
top does not seem to be correctly reporting cpu usage on
our smp systems. It seemed to work more accuratly on 5.2.
Now that we are running 6.0 on alpha and x86, it is
unreliable.

Comment 1 Jay Turner 1999-06-24 15:05:59 UTC
Could I get you to send a better decription of the problem to us?
What exactly is top showing that makes you think that it is displaying
incorrect values?

Comment 2 Jeff Johnson 1999-07-23 09:21:59 UTC
Michael, your 3 line patch to use the cpu0 value rather than summing
over cpu's fixes this problem.

Comment 3 Michael K. Johnson 1999-08-02 14:58:59 UTC
The next release of procps will have that three line patch, and
will certainly be in the next release of Red Hat Linux.